package common

type TetraFlexIdentityKind byte

const (
	IdentityKindUnknown         TetraFlexIdentityKind = 0x00
	IdentityKindMobile          TetraFlexIdentityKind = 0x01
	IdentityKindGroup           TetraFlexIdentityKind = 0x02
	IdentityKindDMRRadio        TetraFlexIdentityKind = 0x03
	IdentityKindNumber          TetraFlexIdentityKind = 0x04
	IdentityKindApplication     TetraFlexIdentityKind = 0x05
	IdentityKindDialInUser      TetraFlexIdentityKind = 0x06
	IdentityKindEmergencyNumber TetraFlexIdentityKind = 0x07
	IdentityKindTerminal        TetraFlexIdentityKind = 0x08
	IdentityKindPersonal        TetraFlexIdentityKind = 0x09
	IdentityKindSWMI            TetraFlexIdentityKind = 0x3C
	IdentityKindISDN            TetraFlexIdentityKind = 0x3D
	IdentityKindPABX            TetraFlexIdentityKind = 0x3E
	IdentityKindPSTN            TetraFlexIdentityKind = 0x3F
	IdentityKindAnonymous       TetraFlexIdentityKind = 0x50
	IdentityKindExternal        TetraFlexIdentityKind = 0x64
	IdentityKindExternalUnknown TetraFlexIdentityKind = 0x65
)

type TetraFlexUnifiedSSIKinds byte

const (
	UnifiedKindUnifiedNumber   TetraFlexUnifiedSSIKinds = 0x00
	UnifiedKindEmergencyNumber TetraFlexUnifiedSSIKinds = 0x01
	UnifiedKindPersonalNumber  TetraFlexUnifiedSSIKinds = 0x02
	UnifiedKindMultiClient     TetraFlexUnifiedSSIKinds = 0x03
	UnifiedKindExternalNumber  TetraFlexUnifiedSSIKinds = 0x04
	UnifiedKindGSMPhone        TetraFlexUnifiedSSIKinds = 0x05
	UnifiedKindPABXNumber      TetraFlexUnifiedSSIKinds = 0x06
)

type TetraFlexIdentityInfo struct {
	Description     string
	Kind            TetraFlexIdentityKind
	Address         TetraFlexAddress
	UnifiedSSIKinds TetraFlexUnifiedSSIKinds
}
